import request from "@/utils/request";

// 车辆列表
export function vehicleList(params: any) {
  return request.get({ url: "/vehicle.vehicle/lists", params });
}

// 车辆详情
export function vehicleDetil(params: any) {
  return request.get({ url: "/vehicle.vehicle/detail", params });
}
// 车辆添加
export function addVehicle(params: any) {
  return request.post({ url: "/vehicle.vehicle/add", params });
}
// 车辆删除
export function delVehicle(params: any) {
  return request.post({ url: "/vehicle.vehicle/delete", params });
}
// 货物列表
export function goodsListApi(params: any) {
  return request.get({ url: "/vehicle.vehicle/vehicleLogisticLists", params });
}
// 编辑
export function goodsEditApi(params: any) {
  return request.post({ url: "/vehicle.vehicle/edit", params });
}

// 货物详情
export function goodsDetailApi(params: any) {
  return request.get({
    url: "/vehicle.vehicle/vehicleLogisticDetail",
    params,
  });
}
